package com.steerinfo.ems.trmindexitemtype.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class TRmIndexItemType implements IBasePO<String> {
    /**
     * 指标用途编码(ITEMTYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="指标用途编码",required=true)
    private String itemtype;

    /**
     * 指标用途名称(NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="指标用途名称",required=false)
    private String name;

    /**
     * 指标用途描述(BZ,VARCHAR,100)
     */
    @ApiModelProperty(value="指标用途描述",required=false)
    private String bz;

    /**
     * 创建人(CREATEMAN,VARCHAR,40)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createman;

    /**
     * 创建时间(CREATETIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createtime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.itemtype;
    }

    @Override
    public void setId(String itemtype) {
        this.itemtype = itemtype == null ? null : itemtype.trim();
    }

    public String getItemtype() {
        return itemtype;
    }

    public void setItemtype(String itemtype) {
        this.itemtype = itemtype == null ? null : itemtype.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", itemtype=").append(itemtype);
        sb.append(", name=").append(name);
        sb.append(", bz=").append(bz);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}